#### PyKDE - Python Bindings for KDE

# class KRES.PluginFactoryBase |
Table of contents
Modules
kresources Classes
All Classes

Module | kresources
Class | KRES.PluginFactoryBase (abstract)
Inherits | KLibFactory

### methods

- configWidget (parent) = 0

  returns (KRES.ConfigWidget)
  In versions KDE 3.2.0 and above only
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |

- createObject (a0, a1, a2, a3)

  returns (QObject)
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | QObject |
  a1 | char |
  a2 | char |
  a3 | QStringList |

- resource (config) = 0

  returns (KRES.Resource)
  In versions KDE 3.2.0 and above only
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  config | KConfig |